#### Description:

This function allows a representation of a single FITS binary table to be stored in a FitsChan. For instance, this may provide the coordinate look-up tables needed subequently when reading FITS-WCS headers for axes described using the `"` -TAB`"` algorithm. Since, in general, the calling application may not know which tables will be needed - if any - prior to calling astRead, the astTablesSource function provides an alternative mechanism in which a caller-supplied function is invoked to store a named table in the FitsChan.

#### Synopsis

void astPutTable( AstFitsChan ∗this, AstFitsTable ∗table, const char ∗extnam )

#### Parameters:

##### this

Pointer to the FitsChan.

##### table

Pointer to a FitsTable to be added to the FitsChan. If a FitsTable with the associated extension name already exists in the FitsChan, it is replaced with the new one. A deep copy of the FitsTable is stored in the FitsChan, so any subsequent changes made to the FitsTable will have no effect on the behaviour of the FitsChan.

##### extnam

The name of the FITS extension associated with the table.

#### Notes:

- Tables stored in the FitsChan may be retrieved using astGetTables.

- The astPutTables method can add multiple FitsTables in a single call.

Copyright (C) 2021 East Asian Observatory